package com.gxzc.zen.common.base

import com.baomidou.kisso.SSOHelper
import com.baomidou.kisso.security.token.SSOToken
import com.gxzc.zen.common.util.HttpUtil
import org.slf4j.LoggerFactory
import javax.servlet.http.HttpServletRequest
import javax.servlet.http.HttpServletResponse

/**
 * 控制器基类
 * 支持kisso
 * @author NorthLan at 2018/2/9
 */
open class BaseController {
    protected val logger = LoggerFactory.getLogger(this::class.java)

    protected fun getRequest(): HttpServletRequest {
        return HttpUtil.getRequest()
    }

    protected fun getResponse(): HttpServletResponse {
        return HttpUtil.getResponse()
    }

    protected fun getCurUserId(): Long {
        return getSSOToken().id.toLong()
    }

    protected fun getSSOToken(): SSOToken {
        return SSOHelper.attrToken(getRequest())
                ?: throw RuntimeException("The user does not exist, please re-login.")
    }
}