package com.gxzc.zen.umps.config

import com.baomidou.kisso.SSOAuthorization
import com.baomidou.kisso.SSOHelper
import com.baomidou.kisso.security.token.SSOToken
import com.gxzc.zen.api.sys.service.ISysPermissionService
import com.gxzc.zen.common.util.PlatformUtil
import com.gxzc.zen.common.util.SpringContextHolder
import com.gxzc.zen.umps.util.PermissionUtil
import org.apache.commons.lang3.StringUtils
import org.springframework.cache.CacheManager

class KissoAuthorization : SSOAuthorization {

    private val cacheManager = SpringContextHolder.getBean(CacheManager::class.java)

    private val permissionService = SpringContextHolder.getBean(ISysPermissionService::class.java)

    override fun isPermitted(token: SSOToken?, permission: String?): Boolean {
        if (token == null) {
            return false
        }

        if (!StringUtils.isNumeric(token.id)) {
            return false
        }
        val realPerm = "${PlatformUtil.getPlatformId()}:$permission"
        return PermissionUtil.isPermitted(realPerm, permissionService.getPermissionSetByUserId(token.id.toLong()))
    }
}
