package com.gxzc.zen.umps.config

import com.baomidou.kisso.web.interceptor.SSOPermissionInterceptor
import com.baomidou.kisso.web.interceptor.SSOSpringInterceptor
import org.springframework.context.annotation.Configuration
import org.springframework.web.bind.annotation.ControllerAdvice
import org.springframework.web.servlet.config.annotation.InterceptorRegistry
import org.springframework.web.servlet.config.annotation.WebMvcConfigurerAdapter

@ControllerAdvice
@Configuration
class KissoWebAppConfigurer : WebMvcConfigurerAdapter() {

    override fun addInterceptors(registry: InterceptorRegistry) {
        //登录拦截
        registry.addInterceptor(SSOSpringInterceptor())
                .addPathPatterns("/**")
                .excludePathPatterns("/login")
        //权限拦截
        registry.addInterceptor(SSOPermissionInterceptor().also { it.authorization = KissoAuthorization() })
                .addPathPatterns("/**")
                .excludePathPatterns("/login")
        super.addInterceptors(registry)
    }
}